IF OBJECT_ID('[LicenseRules_Extended]') IS NOT NULL DROP VIEW [LicenseRules_Extended]
GO

CREATE VIEW [LicenseRules_Extended]
AS
	SELECT LR.[LicenseRule_Id],
	       LR.[Feed_Id],
		   F.[Feed_Name],
		   F.[FeedType_Name],
		   LR.[License_Id],
		   [License_External_Id] = L.[External_Id],
		   [License_Title_Text] = L.[Title_Text],
		   LR.[Allow_Indicator]
	  FROM [LicenseRules] LR
	       LEFT JOIN [Feeds] F
		          ON F.[Feed_Id] = LR.[Feed_Id]
		  INNER JOIN [Licenses] L
		          ON L.[License_Id] = LR.[License_Id]

GO