EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Assets_DeleteItem',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes the specified asset.'
GO

IF OBJECT_ID('[Assets_DeleteItem]') IS NOT NULL DROP PROCEDURE [Assets_DeleteItem]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Assets_DeleteItem]
(
	@AssetItem_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

	DELETE
	  FROM [AssetItems]
	 WHERE [AssetItem_Id] = @AssetItem_Id

END
GO

GRANT EXECUTE ON [Assets_DeleteItem] TO [ProGetUser_Role]