--AH:ScriptId=335dcef6-e7b0-4fcc-8f67-df051d371924;2917
CREATE TABLE [UserDirectories]
(
	[UserDirectory_Id] INT NOT NULL,
	[UserDirectory_Name] NVARCHAR(50) NOT NULL,
	[UserDirectory_Configuration] XML NOT NULL,

	CONSTRAINT [PK__UserDirectories]
		PRIMARY KEY ([UserDirectory_Id])
)

GO

INSERT INTO [UserDirectories]
(
	[UserDirectory_Id],
	[UserDirectory_Name],
	[UserDirectory_Configuration]
)
VALUES
(
	1,
	'Built-In',
	'<Inedo.ProGet.WebApplication.Security.UserDirectory.BuiltInDirectory Assembly="ProGet.WebApplication"><Properties /></Inedo.ProGet.WebApplication.Security.UserDirectory.BuiltInDirectory>'
)

INSERT INTO [UserDirectories]
(
	[UserDirectory_Id],
	[UserDirectory_Name],
	[UserDirectory_Configuration]
)
VALUES
(
	2,
	'LDAP',
	'<Inedo.ProGet.WebApplication.Security.UserDirectory.LdapDirectory Assembly="ProGet.WebApplication"><Properties /></Inedo.ProGet.WebApplication.Security.UserDirectory.LdapDirectory>'
)

INSERT INTO [UserDirectories]
(
	[UserDirectory_Id],
	[UserDirectory_Name],
	[UserDirectory_Configuration]
)
VALUES
(
	3,
	'Active Directory with Multiple Domains',
	'<Inedo.ProGet.WebApplication.Security.UserDirectory.MultiDomainActiveDirectory Assembly="ProGet.WebApplication"><Properties /></Inedo.ProGet.WebApplication.Security.UserDirectory.MultiDomainActiveDirectory>'
)